Name:           animal-sniffer
Version:        1.9
Release:        5%{?dist}
Summary:        Tools to assist verifying backward compatibility of Java classes

License:        MIT and ASL 2.0
URL:            http://mojo.codehaus.org/animal-sniffer/

Source0:        http://repo1.maven.org/maven2/org/codehaus/mojo/animal-sniffer-parent/%{version}/animal-sniffer-parent-%{version}-source-release.zip
Source2:        http://www.apache.org/licenses/LICENSE-2.0.txt

# this should be upstreamable
Patch2:         0003-Remove-catch-for-unthrown-PlexusConfigurationExcepti.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-invoker-plugin
BuildRequires:  maven-shade-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-plugin-cobertura
BuildRequires:  maven-plugin-build-helper
BuildRequires:  plexus-containers-component-javadoc
BuildRequires:  mojo-parent
BuildRequires:  objectweb-asm4

Requires:       maven
Requires:       objectweb-asm4
Requires:       ant
Requires:       mojo-signatures

Requires:       java >= 1:1.6.0

%description
Tools to assist verifying that classes compiled with a newer JDK/API
are compatible with an older JDK/API

%package        javadoc
Summary:        API documentation for %{name}
Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q -n %{name}-parent-%{version}
%patch2 -p1
cp %{SOURCE2} LICENSE
%pom_add_dep org.apache.maven:maven-compat animal-sniffer-enforcer-rule
%pom_add_dep org.apache.maven:maven-compat animal-sniffer-maven-plugin


%build
%mvn_build

%install
%mvn_install

# install shell script
%jpackage_script org.codehaus.mojo.animal_sniffer.Main "" "" %{name}/%{name} %{name} true

%files -f .mfiles
%doc LICENSE
%{_bindir}/%{name}
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Mon Aug 05 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.9-5
- Update to latest packaging guidelines

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.9-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Dec 12 2012 Michal Srb <msrb@redhat.com> - 1.9-1
- Update to version 1.9 (Resolves: #866856)

* Thu Aug 16 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8-2
- Add ASL 2.0 license

* Thu Aug  2 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8-1
- Update to upstream version 1.8

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar  2 2012 Stanislav Ochotnicky <sochotnicky@redhat.com> 1.7-3
- Add surefire junit4 provider to BR

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 26 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.7-1
- Update to latest upstream (1.7)
- Add fixes for maven3 only buildroot

* Thu Jun 9 2011 Alexander Kurtakov <akurtako@redhat.com> 1.6-8
- Build with maven 3.x.
- Use upstream source.
- Guidelines fixes.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 22 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-6
- Fix main pom filename (Resolves rhbz#655786)

* Mon Oct 11 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-5
- Add mojo-signatures to Requires

* Fri Oct  1 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-4
- Remove jtidy depmap (not needed anymore)

* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-3
- Add asm-all dependency to maven plugin
- Add jtidy depmap

* Fri Sep 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-2
- Un-comment mojo-parent BR forgotten from testing

* Mon Sep  6 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-1
- Initial version of the package
